<p align="center">
    <img src="./assets/img/horizontal_logo.PNG" alt="hygia-logo" style="width:500px;"/>
</p>

# A powerful Python ML playground toolkit

[![PyPI Latest Release](https://img.shields.io/pypi/v/hygia.svg)](https://pypi.org/project/hygia/)
[![License](https://img.shields.io/pypi/l/hygia.svg)](https://github.com/hygia-org/hygia/blob/main/LICENSE)
[![Coverage](https://codecov.io/github/hygia-org/hygia/coverage.svg?branch=main)](https://codecov.io/gh/hygia-org/hygia)

<!-- [![Package Status](https://img.shields.io/pypi/status/hygia.svg)](https://pypi.org/project/hygia/) -->

## What is it?

Hygia is a Python package that provides fast, flexible, and expressive data pipeline to make working with Machine Learning data easy and intuitive. The library is designed to make it easy for developers and data scientists to work with a wide range of data sources, perform data preprocessing, feature engineering, and train models with minimal effort.

One of the key features of Hygia is its support for configuration through YAML files. With the help of a configuration file, users can easily specify the steps they want to run in their data pipeline, including extracting data from various sources, transforming the data, and loading it into the pipeline for processing. This not only makes it easier to automate the pipeline, but also enables users to compare and share their results with others.

In addition, Hygia is designed to support the ETL (Extract, Transform and Load) process, making it an ideal solution for developers and data scientists looking to scale and automate their workflows. With its fast, flexible, and expressive data pipeline configuration, Hygia makes it easy to organize and manage all your ML model, saving time, effort and allowing you to focus on the most important aspects of your work.

## Main Features

- Configure data pipeline through a YAML file
- Execute through command line or python import
- Pack the solution into a Python's Package Manager
- Visualize results in customized dashboards
- Test on different databases

## Check the documentation

If you're looking to use the Hygia library and get a better understanding of how it works, you can check out the comprehensive documentation available at [Hygia Documentation](https://hygia-org.github.io/hygia/). This website provides a wealth of information on the library's capabilities and how to use it.

In addition to the documentation, we also have a number of boilerplates available at [Examples](https://github.com/hygia-org/hygia/tree/main/examples). These boilerplates provide hands-on examples and practical explanations of using the library and the .yaml file, making it easier for you to get started with using Hygia. Whether you're a seasoned data scientist or just starting out, these resources will help you get the most out of the library.

## Where to get it

The source code is currently hosted on GitHub at: `https://github.com/hygia-org`

## Become a part of our growing community

Are you looking for a way to contribute to an open-source project and make a difference in the field of data science? Then consider joining the Hygia community! Hygia is a powerful and versatile Python library for data pipeline and experimentation, and we're always looking for new contributors to help us improve and expand it.

If you're interested in contributing, be sure to check out our community [Contribution Guide](https://github.com/hygia-org/hygia/blob/main/CONTRIBUTING.md) and [Code of Conduct](https://github.com/hygia-org/hygia/blob/main/CODE_OF_CONDUCT.md). These resources will give you an idea of what kind of contributions are welcome, as well as the standards we expect from our contributors.

And if you have any questions or want to get started, don't hesitate to reach out! You can create an issue on our GitHub repository, or send an email to isaque.alves@ime.usp.br. We're always happy to hear from potential contributors, and we're looking forward to working with you!



## Installation from sources

For experienced users of the library who are already a part of our community, we have put together a comprehensive [Installation Guide](https://github.com/hygia-org/hygia/blob/main/instalation_guide.md) to make the most of the features and functionalities offered by the Hygia library.